> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--exclusions/types/inputs/get-exclusions-input.md).

# getExclusionsInput

Input for getting exclusions with pagination and filters.

### Examples

```graphql
input GetExclusionsInput {
  filters: ExclusionsFilters
  limit: Float
  offset: Float
  search: String
}
```

### Fields

| Field                                                                                                              | Description                                                                  | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| filters [`ExclusionsFilters`](/api-documentation/api-reference/api--exclusions/types/inputs/exclusions-filters.md) | Filters to apply to the query                                                | <p>appName <code>\[String!]</code><br>exclusionId <code>\[String!]</code><br>exclusionType <a href="/pages/YxOLuYCkKHGeUsA26d8n"><code>\[ExclusionType!]</code></a><br>exclusionMode <a href="/pages/PoxuYItIyx7Uk1kJOH02"><code>\[ExclusionMode!]</code></a><br>policyName <code>\[String!]</code><br>modifiedBy <code>\[String!]</code><br>issueName <code>\[String!]</code><br>status <code>\[String!]</code><br>expiredAt <a href="/pages/wkPPw9BCwY5HqThwsew3"><code>ExpiredAtFilter</code></a><br>aboutToExpireIn <code>\[String!]</code><br>appId <code>\[String!]</code></p> |
| limit `Float`                                                                                                      | Maximum number of results to return, must be between 1 and 500, default: 100 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| offset `Float`                                                                                                     | Number of results to skip, must be greater than or equal to 0, default: 0    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| search `String`                                                                                                    | Search by issue name or application name                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |

### References

#### Queries using this object:

* [\<?> getExclusions.getExclusionsInput](/api-documentation/api-reference/api--exclusions/queries/get-exclusions.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--exclusions/types/inputs/get-exclusions-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
